Package org.eclipse.birt.report.model.api

# Class ElementDetailHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle

Direct Known Subclasses:
  `CssStyleSheetHandle`, `FactoryPropertyHandle`, `SlotHandle`, `TranslationHandle`, `UserPropertyDefnHandle`, `ValueHandle`

public abstract class ElementDetailHandle extends Object
Abstract base class for property handles, slot handles, structure handles an other handles that provide detail about a report element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DesignElementHandle`
`elementHandle`
The handle to the report element.

## Constructor Summary

Constructors
Constructor
Description
`ElementDetailHandle(DesignElementHandle element)`
Constructs a detail handle given a handle to a report element.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.elements.ReportDesign`
`getDesign()`
Deprecated.
`org.eclipse.birt.report.model.core.DesignElement`
`getElement()`
Returns the design element.
`DesignElementHandle`
`getElementHandle()`
Returns a handle to the design element.
`org.eclipse.birt.report.model.core.Module`
`getModule()`
Returns the module

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### elementHandle

protected final DesignElementHandle elementHandle
The handle to the report element.

## Constructor Details

### ElementDetailHandle

public ElementDetailHandle(DesignElementHandle element)
Constructs a detail handle given a handle to a report element.

Parameters:
  `element` - a handle to a report element

## Method Details

### getDesign

@Deprecated public org.eclipse.birt.report.model.elements.ReportDesign getDesign()
Deprecated.
Returns the report design.

Returns:
  the report design

### getModule

public org.eclipse.birt.report.model.core.Module getModule()
Returns the module

Returns:
  the module

### getElement

public org.eclipse.birt.report.model.core.DesignElement getElement()
Returns the design element.

Returns:
  the design element

### getElementHandle

public DesignElementHandle getElementHandle()
Returns a handle to the design element.

Returns:
  handle to the design element